For Developers

Trigger Sync

POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/syncs

Enqueues a new sync run for the source.

Permissions

Requires the syncs.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.

Request Body

PropertyTypeRequiredDescription
typeStringNoOptional sync type override (e.g. manual, backfill). Restricted to administrators.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/syncs`,
    {},
    {
        headers: {
            authorization: `Bearer ${user_session_token}`,
            'content-type': 'application/json'
        }
    }
);

Sample Response

{
    "$data": {
        "id": "673cf97a-9a91-4560-8f96-3a72df54db12",
        "created_date": "2024-06-21T14:00:00.000Z",
        "state": "queued",
        "source_id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12"
    }
}